Skip to main content
`Ctrl`+`K`

# numpy.polynomial.hermite.hermmul

polynomial.hermite.hermmul(c1, c2)

  Multiply one Hermite series by another.

  Returns the product of two Hermite series c1 * c2. The arguments are sequences of coefficients, from lowest order “term” to highest, e.g., [1,2,3] represents the series `P_0 + 2*P_1 + 3*P_2`.

  Parameters:
    c1, c2 array_like

      1-D arrays of Hermite series coefficients ordered from low to high.

  Returns:
    out ndarray

      Of Hermite series coefficients representing their product.

  See also

  `hermadd`, `hermsub`, `hermmulx`, `hermdiv`, `hermpow`

  Notes

  In general, the (polynomial) product of two C-series results in terms that are not in the Hermite polynomial basis set. Thus, to express the product as a Hermite series, it is necessary to “reproject” the product onto said basis set, which may produce “unintuitive” (but correct) results; see Examples section below.

  Examples

      >>> from numpy.polynomial.hermite import hermmul
      >>> hermmul([1, 2, 3], [0, 1, 2])
      array([52.,  29.,  52.,   7.,   6.])